Php 5.3 on Centos 5.5 cannot load mysql extension

Discussion in 'Server Operation' started by newbie14, Aug 31, 2010.

  1. newbie14

    newbie14 New Member

  2. Mark_NL

    Mark_NL New Member

    If you installed with yum, don't forget to install "php-mysql" and then restart apache. mysql should be working then.
     
  3. newbie14

    newbie14 New Member

    Dear Mark,
    When I type yum install php it just give me the version 5.1.6. Then when I write yum install phpmyadmin it gives me No package phpmyadmin available.
    Nothing to do. So that is why I resort to that site to install php5.3 just that now I am having problem with "Cannot load mysql extension".
     
  4. Mark_NL

    Mark_NL New Member

    as i said, you're missing the package php5-mysql

    the official centos repo probably doesn't have this one ..
    if you checked the page you used to install 5.3 and looked into the repo dir you'll find:
    http://repo.webtatic.com/yum/centos/5/i386/php-mysql-5.3.2-1.i386.rpm

    which is mostlikely the php mysql module you need to get mysql support.

    this has nothing to do with phpmyadmin.
     
  5. newbie14

    newbie14 New Member

    Dear Mark,
    So how to go about it must I do a yum or rpm for this? What is difference between them? So I go the link download the file and where to store it?So the next step how to go about installing phpmyadmin as the official centos repo dont have it. Now what I did is that I put the phpmyadmin folder into my www/html folder of the apache.Is this correct to do? Thank you.
     
  6. Mark_NL

    Mark_NL New Member

    what about this command?

    yum --enablerepo=webtatic install php5-mysql
     
  7. newbie14

    newbie14 New Member

    Dear Mark,
    Thank you for the command. How about the phpmyadmin what is the solution how can I get it installed? Thank you.
     
  8. Mark_NL

    Mark_NL New Member

Share This Page